<?php

/**
 * Creative - Joomla Template
 *
 * @package bt_creative
 * @version 1.0
 * @copyright BonusThemes.com 2009
 * @link http://www.bonusthemes.com/goto/bt_creative
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . '/template.inc.php');
global $tpl;

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

$main_tdgap = '<td width="1%" nowrap="nowrap">&nbsp; &nbsp;</td>' . "\n";

if ($tpl->show_menu)
	$cmenu_js .= '
<script type="text/javascript">
// <![CDATA[
document["cmenu_items"] = new Array();
' . $tpl->menu_js . '
// ]]>
</script>

';

echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="' . $this->language . '" lang="' . $this->language . '" >
<head>

<jdoc:include type="head" />

<link href="' . $tpl->path . '/css/layout.css" rel="stylesheet" type="text/css" />
<link href="' . $tpl->path . '/css/template.css" rel="stylesheet" type="text/css" />
' . $cmenu_css . '
<style type="text/css">
#wrapper { width: ' . $tpl->width . 'px; }
.inner_wrapper { margin-left: ' . $tpl->side_gap . 'px; width: ' . $tpl->inner_width . 'px; }
.left_wrapper { margin-left: ' . $tpl->side_gap . 'px; width: ' . $tpl->pos_left_width . 'px; }
.right_wrapper { margin-left: ' . $tpl->side_gap . 'px; width: ' . $tpl->pos_right_width . 'px; }
</style>

<!--[if IE]>
<style type="text/css">
div.moduletablesearch input { margin-top: 7px; }
</style>
<![endif]-->

<!--[if lt IE 7]>
<link href="' . $tpl->path . '/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = "' . $tpl->path . '/images/blank.gif";
</script>
<style type="text/css">
.pngfix { behavior: url(' . $tpl->path . '/js/iepngfix.htc); }
.pngfix_static { behavior: url(' . $tpl->path . '/js/iepngfix_static.htc); }
</style>
<![endif]-->

' . $cmenu_js . '

<script type="text/javascript" src="' . $tpl->path . '/js/template.js"></script>

<link rel="prefetch" href="' . $tpl->path . '/images/layout/menu_norm_l.gif" />
<link rel="prefetch" href="' . $tpl->path . '/images/layout/menu_norm_r.gif" />
<link rel="prefetch" href="' . $tpl->path . '/images/layout/menu_sel_l.gif" />
<link rel="prefetch" href="' . $tpl->path . '/images/layout/menu_sel_r.gif" />

';

if ($tpl->blogstyle == 'blogin' || $tpl->blogstyle == 'blogout')
	echo '
<script type="text/javascript">
// <![CDATA[
document.blogstyle = "' . $tpl->blogstyle . '";
// ]]>
</script>

';

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp)
	echo
'<div style="display:none">
' . $tpl->get_mainbody_pragma() . '
</div>
';

echo '
<div id="wrapper">

	<div id="top_area" class="inner_wrapper">
' . $tpl->get_positions(array('top1', 'top2', 'top3'), '', true, false, '', $main_tdgap) . '
	</div>

	<div id="header_area" class="inner_wrapper">
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td' . $tpl->td_width('icon') . '>
' . $tpl->get_position('icon', false, false) . '
				</td>
';

if ($tpl->show_menu) {
	echo '
				<td>
					<div id="cmenu_top"></div>
					<table cellspacing="0" cellpadding="0" align="right">
						<tr>
';

	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];

		if ($i > 0)
			echo '							<td width="1"></td>' . "\n";

		printf('
							<td class="cmenu_hd_%1$s_l" width="9" height="36"></td>
							<td class="cmenu_hd_%1$s_c" height="36" id="%2$s">%3$s%4$s</td>
							<td class="cmenu_hd_%1$s_r" width="9" height="36"></td>
',
			$mi->selection == 0 ? 'norm' : 'sel',
			$mi->head_id,
			$mi->full_link,
			empty($mi->sub_menu_items) ? '' : ' <img src="' . $tpl->path . '/images/layout/menu_submenu.gif" alt="" /> &nbsp;'
		);
	}

	echo '
						</tr>
					</table>
				</td>
';
}
else {
	echo '
				<td' . $tpl->td_width('header') . '>
' . $tpl->get_position('header', false, false) . '
				</td>
';
}

echo '
			</tr>
		</table>
	</div>

	<div id="header_gap"></div>

	<table cellspacing="0" cellpadding="0" width="100%">
';



// output up area

$toolbar_area_count = $tpl->modcount('toolbar1') + $tpl->modcount('toolbar2') + $tpl->modcount('toolbar3') + $tpl->modcount('advert1') + $tpl->modcount('advert2') + $tpl->modcount('advert3');

if ($tpl->modcount('left_toolbar') || $toolbar_area_count || $tpl->modcount('right_toolbar')) {
	$colspan = 1;
	$left = '&nbsp;';
	$right = '&nbsp;';

	if ($tpl->modcount('left_toolbar'))
		$left = '<div id="corner_outer_left"></div><img src="' . $tpl->path . '/images/blank.gif" width="15" height="1" alt="" />';
	else
		$colspan++;

	if ($tpl->modcount('right_toolbar'))
		$right = '<div id="corner_outer_right"></div><img src="' . $tpl->path . '/images/blank.gif" width="15" height="1" alt="" />';
	else
		$colspan++;

	$colspan = $colspan == 1 ? '' : ' colspan="' . $colspan . '"';

	echo '
		<tr>
			<td valign="top" width="15">' . $left . '</td>
';

	if ($tpl->modcount('left_toolbar'))
		echo '
			<td valign="top" class="sides_toolbar" width="' . $tpl->left_container_width . '">
				<div class="left_wrapper toolbar_side">
					<div class="spacer_side clearfix"></div>
' . $tpl->get_position('left_toolbar') . '
					<div class="spacer_side clearfix"></div>
				</div>
			</td>
';

	echo '
			<td valign="top" class="toolbar_area"' . $colspan . '>
				' . ($tpl->modcount('left_toolbar') ? '<div id="corner_inner_left">' : '') . ($tpl->modcount('right_toolbar') ? '<div id="corner_inner_right">' : '') . '<div class="inner">
					<div id="spacer1" class="clearfix"></div>
' . $tpl->get_positions(array('toolbar1', 'toolbar2', 'toolbar3'), 'spacer2', true, true, '', $main_tdgap);

	if ($tpl->modcount('advert1') || $tpl->modcount('advert2') || $tpl->modcount('advert3'))
		echo '
					<div id="advert_back"><div id="advert_tl"><div id="advert_tr"><div class="inner">
						<div id="advert_gap_top"></div>
' . $tpl->get_positions(array('advert1', 'advert2', 'advert3'), '', true, true, '', $main_tdgap) . '
						<div id="advert_gap_bottom"></div>
					</div></div></div></div>
';

	echo ($toolbar_area_count ? '' : '&nbsp;') . '
					<div id="spacer3" class="clearfix"></div>
				' . ($tpl->modcount('left_toolbar') ? '</div>' : '') . ($tpl->modcount('right_toolbar') ? '</div>' : '') . '</div>
			</td>
';

	if ($tpl->modcount('right_toolbar'))
		echo '
			<td valign="top" class="sides_toolbar" width="' . $tpl->right_container_width . '">
				<div class="right_wrapper toolbar_side">
					<div class="spacer_side clearfix"></div>
' . $tpl->get_position('right_toolbar') . '
					<div class="spacer_side clearfix"></div>
				</div>
			</td>
';

	echo '
			<td valign="top" width="15">' . $right . '</td>
		</tr>
';
}



// output main body row

$colspan = 1;

if (!$tpl->left_main)
	$colspan++;

if (!$tpl->right_main)
	$colspan++;

$colspan = $colspan == 1 ? '' : ' colspan="' . $colspan . '"';

echo '
		<tr>
			<td valign="top"><div id="article_tag_container"></div></td>
';

if ($tpl->left_main)
	echo '
			<td valign="top" class="sides_main" width="' . $tpl->left_container_width . '">
				<div id="left_main_ml"><div id="left_main_mr"><div class="left_wrapper">
					<div class="spacer_side clearfix"></div>
';

if ($tpl->modcount('left_up'))
	echo $tpl->get_position('left_up');

if ($tpl->modcount('left_slide'))
	echo '
					<div id="left_slide_container"></div>
					<div class="spacer_side"></div>
';

if ($tpl->modcount('left'))
	echo $tpl->get_position('left') . '
					<div class="spacer_side clearfix"></div>
';

if ($tpl->left_main)
	echo '
				</div></div></div>
			</td>
';

echo '
			<td valign="top" id="mainbody_area"' . $colspan . '>
				' . ($tpl->left_main ? '' : '<div id="mainbody_left0">') . ($tpl->right_main ? '' : '<div id="mainbody_right0">') . '<div class="inner">
					<div id="spacer4" class="clearfix"></div>
';

if ($tpl->modcount('breadcrumb'))
	echo '
	<div id="pathway">
		<a href="' . $tpl->get_home() . '" onfocus="blur()"><img id="pathway_home" src="' . $tpl->path . '/images/layout/home.gif" alt="Home" border="0" align="left" /></a>
		<span id="pathway_notice">' . $tpl->str('You are here:') . ' </span>
' . $tpl->get_pathway() . '
	</div>
';

echo $tpl->get_positions(array('newsflash'), 'spacer5') . '
' . $tpl->get_positions(array('news1', 'news2', 'news3'), 'spacer6') . '
' . $tpl->get_mainbody_wrapper() . '
' . $tpl->get_positions(array('notice1', 'notice2', 'notice3'), 'spacer7', false) . '
' . $tpl->get_positions(array('banner'), 'spacer8', false) . '
					<div id="spacer9" class="clearfix"></div>
				' . ($tpl->left_main ? '' : '</div>') . ($tpl->right_main ? '' : '</div>') . '</div>
			</td>
';

if ($tpl->right_main)
	echo '
			<td valign="top" class="sides_main" width="' . $tpl->right_container_width . '">
				<div id="right_main_ml"><div id="right_main_mr"><div class="right_wrapper">
					<div class="spacer_side clearfix"></div>
';

if ($tpl->modcount('right_up'))
	echo $tpl->get_position('right_up');

if ($tpl->modcount('right_slide'))
	echo '
					<div id="right_slide_container"></div>
					<div class="spacer_side"></div>
';

if ($tpl->modcount('right'))
	echo $tpl->get_position('right') . '
					<div class="spacer_side clearfix"></div>
';

if ($tpl->right_main)
	echo '
				</div></div></div>
			</td>
';

echo '
			<td>&nbsp;</td>
		</tr>
';



// output footer up

echo '
		<tr>
			<td></td>
';

if ($tpl->left_main)
	echo '
			<td><div class="footer_up_side"></div></td>
';

echo '
			<td' . $colspan . '><div class="footer_up_main"></div></td>
';

if ($tpl->right_main)
	echo '
			<td><div class="footer_up_side"></div></td>
';

echo '
			<td></td>
		</tr>
';



// output footer

$colspan = 1;

if ($tpl->modcount('left_down') == 0)
	$colspan++;

if ($tpl->modcount('right_down') == 0)
	$colspan++;

$colspan = $colspan == 1 ? '' : ' colspan="' . $colspan . '"';

echo '
		<tr>
			<td>&nbsp;</td>
';

if ($tpl->modcount('left_down'))
	echo '
			<td valign="top" class="footer_back">
' . $tpl->get_position('left_down') . '
			</td>
';

echo '
			<td class="footer_back"' . $colspan . '>
				<table cellspacing="0" cellpadding="0" width="100%"><tr>
';

if ($tpl->lshow)
	echo '
					<td width="50" align="center" valign="middle"><a id="lshow" href="http://joomla-temp.ru" onfocus="blur()" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" border="0" alt="" /></a></td>
';

echo '
					<td valign="top">
' . ($tpl->modcount('footer') ? $tpl->get_position('footer') : '&nbsp;') . '
					</td>
					<td width="50" align="center" valign="middle"><a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a></td>
				</tr></table>
			</td>
';

if ($tpl->modcount('right_down'))
	echo '
			<td valign="top" class="footer_back">
' . $tpl->get_position('right_down') . '
			</td>
';

echo '
			<td>&nbsp;</td>
		</tr>
';



// output footer down

echo '
		<tr>
			<td></td>
			<td id="footer_down" height="5" colspan="3"></td>
			<td></td>
		</tr>
';



echo '
	</table>

	<div id="spacer10"></div>

</div>
';

foreach (array('left_slide', 'right_slide', 'aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	echo $tpl->get_hidden_position($position);

echo $tpl->get_position('debug');

echo '
</body>
</html>
';

?>